[Fixed] 4.1.3 Shader Crash

Bugs that have been investigated and resolved somehow.

Moderator: GZDoom Developers

4.1.3 Shader Crash

Postby Rip and Tear » Mon Jun 10, 2019 3:24 pm

Starting in version 4.1.3, the game crashes immediately upon trying to load in to a map.

OS: MacOS 10.14.5
Graphics: Intel Iris Pro


Here's the complete error:

Code: Select allExpand view
Execution could not continue.
Compile Shader 'shaders/glsl/fxaa.fp':
ERROR: 0:250: '' : syntax error: incorrect preprocessor directive
ERROR: 0:250: '' : syntax error: unexpected tokens following #if preprocessor directive - expected a newline
ERROR: 0:265: '' : syntax error: incorrect preprocessor directive
ERROR: 0:265: '' : syntax error: unexpected tokens following #if preprocessor directive - expected a newline
ERROR: 0:266: '' :   Macro Redefined lumaM
ERROR: 0:301: '' : syntax error: incorrect preprocessor directive
ERROR: 0:301: '' : syntax error: unexpected tokens following #if preprocessor directive - expected a newline
ERROR: 0:599: '' : syntax error: incorrect preprocessor directive
ERROR: 0:599: '' : syntax error: unexpected tokens following #if preprocessor directive - expected a newline
User avatar
Rip and Tear
I <3 ZScript
 
Joined: 02 May 2017
Operating System: Mac OS X 10.8 or later
Graphics Processor: Intel (Modern GZDoom)

Re: 4.1.3 Shader Crash

Postby _mental_ » Tue Jun 11, 2019 12:22 am

Fixed in b6ada16. It fails to compile with OpenGL only, works fine with Vulkan render backend.
_mental_
 
 
 
Joined: 07 Aug 2011


Return to Closed Bugs

Who is online

Users browsing this forum: Awario [RSS] and 0 guests